Skip to main content
POST
/
v1
/
groups
/
{groupId}
/
contacts
Remove contacts from a group
curl --request POST \
  --url https://api.prod.getdex.com/v1/groups/{groupId}/contacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contactIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "error": true,
  "message": "<string>"
}

Use cases

  • Let users remove contacts from a group via the UI
  • Clean up group membership after a reorganization
  • Unassign contacts that no longer belong to a group
Removing a contact from a group does not delete the contact. It only removes the association between the contact and this group.

Authorizations

Authorization
string
header
required

Use your Dex API key (e.g. dex_abc123...) as the Bearer token.

Path Parameters

groupId
string<uuid>
required

Body

application/json
contactIds
string<uuid>[]
required
Minimum array length: 1

Response

Successful response

error
boolean
required
message
string
required